Subject: Re: bug#79346: igc: PolicyShouldCollectWorld

From: Eli Zaretskii <[email-masked]>
Date: Sat, 30 Aug 2025 21:37:16 +0300

> From: Helmut Eller <[email-masked]>
> Date: Sat, 30 Aug 2025 13:53:50 +0200
> 
> When I set igc-step-interval like so
> 
>   (setq igc-step-interval 0.05)
> 
> and in GDB add a breakpoint in PolicyShouldCollectWorld with
> 
>    dprintf policy.c:195,"availableTime: %f collectionTime: %f sinceLastWorldCollect: %f", availableTime, collectionTime, sinceLastWorldCollect
> 
> [With the debug build of MPS.  availableTime is not available in
> optimized builds.]
> 
> I see output like:
> 
>    availableTime: 50000.000000 collectionTime: 1.078059 sinceLastWorldCollect: 6.623319
> 
> It seems that availableTime and collectionTime use different units:
> availableTime is in clocks while collectionTime is in seconds.
> 
> So the test availableTime > collectionTime doesn't make much sense.

Since I don't see such comparison anywhere in Emacs, I presume you are
talking about a bug in MPS?  Or what did I miss?